# !/usr/bin/python
# Copyright (c) 2017 Alibaba Group Holding Limited. He Guimin <heguimin36@163.com.com>
# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
#
# This file is part of Ansible
#
# Ansible is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Ansible is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Ansible. If not, see <http://www.gnu.org/licenses/>.


class ModuleDocFragment(object):

    # Alicloud only documentation fragment
    DOCUMENTATION = """
options:
  alicloud_access_key:
    description:
      - Aliyun Cloud access key. If not set then the value of the `ALICLOUD_ACCESS_KEY`, `ACS_ACCESS_KEY_ID`,
        `ACS_ACCESS_KEY` or `ECS_ACCESS_KEY` environment variable is used.
    aliases: ['acs_access_key', 'ecs_access_key','access_key']
  alicloud_secret_key:
    description:
      - Aliyun Cloud secret key. If not set then the value of the `ALICLOUD_SECRET_KEY`, `ACS_SECRET_ACCESS_KEY`,
        `ACS_SECRET_KEY`, or `ECS_SECRET_KEY` environment variable is used.
    aliases: ['acs_secret_access_key', 'ecs_secret_key','secret_key']
  alicloud_region:
    description:
      - The Aliyun Cloud region to use. If not specified then the value of the `ALICLOUD_REGION`, `ACS_REGION`,
        `ACS_DEFAULT_REGION` or `ECS_REGION` environment variable, if any, is used.
    aliases: ['acs_region', 'ecs_region', 'region']
author:
    - "He Guimin (@xiaozhu36)"
requirements:
    - "python >= 2.7"
    - "footmark"
extends_documentation_fragment:
    - alicloud
notes:
  - If parameters are not set within the module, the following
    environment variables can be used in decreasing order of precedence
    C(ALICLOUD_ACCESS_KEY) or C(ACS_ACCESS_KEY_ID) or C(ECS_ACCESS_KEY) or C(ACS_ACCESS_KEY),
    C(ALICLOUD_SECRET_KEY) or C(ACS_SECRET_ACCESS_KEY) or C(ECS_SECRET_KEY) or C(ACS_SECRET_KEY),
    C(ALICLOUD_REGION) or C(ECS_REGION) or C(ACS_REGION) or C(ACS_DEFAULT_REGION)
  - C(ALICLOUD_REGION) or C(ECS_REGION) can be typically be used to specify the
    ALICLOUD region, when required, but this can also be configured in the footmark config file
"""
